Bug 471047 - add PulseAudio support to speech_tools
add PulseAudio support to speech_tools
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: festival (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bruno Wolff III
Fedora Extras Quality Assurance
: FutureFeature, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-11 10:39 EST by Michal Schmidt
Modified: 2014-02-13 15:42 EST (History)
3 users (show)

See Also:
Fixed In Version: festival-1.96-16
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-13 15:42:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
speech_tools PulseAudio support (11.09 KB, patch)
2008-11-11 10:39 EST, Michal Schmidt
no flags Details | Diff

  None (edit)
Description Michal Schmidt 2008-11-11 10:39:04 EST
Created attachment 323181 [details]
speech_tools PulseAudio support

Description of problem:
Festival should support PulseAudio directly. 

Version-Release number of selected component (if applicable):
festival-1.96-6.fc10

How reproducible:
100%

Steps to Reproduce:
1. run festival
2. (Parameter.set 'Audio_Method 'pulseaudio)
3. (SayText "test")
  
Actual results:
Unknown audio server protocol pulseaudio

Expected results:
Festival speaks through PulseAudio.

Additional info:
I implemented support for PulseAudio into speech_tools. See the attached patch. It was made against speech_tools-1.2.96-beta.tar.gz. Please make sure it gets upstream (I'd send it myself, but I'm not sure where exactly current upstream is - I don't know where the +awb patch came from).
Comment 1 Michal Schmidt 2008-11-12 06:02:30 EST
Comment on attachment 323181 [details]
speech_tools PulseAudio support

sorry, I must have originally set the attachment as private by mistake
Comment 2 TK009 2008-11-20 15:14:11 EST
This bug has been triaged
Comment 3 Lennart Poettering 2009-09-29 00:55:23 EDT
Patch looks good to me from a quick glance.
Comment 4 Matthias Clasen 2009-09-29 10:43:10 EDT
Built for F12 and F13, and filed a ticket to get it tagged for F12.
Comment 5 TK009 2011-10-15 17:13:34 EDT
I see modified but nothing after, should this still be open?
Comment 6 Fedora Admin XMLRPC Client 2013-03-01 21:01:16 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.